#include <QApplication>
#include <QMainWindow>
#include "BackgroundThread.h"

class Application : public QApplication {
public:
	Application(int argc, char** argv) : QApplication(argc, argv) {}
	int run() {
		QMainWindow w{};
		w.show();
		return exec();
	}
};

int main(int argc, char** argv) {
	BackgroundThread thread{};
	thread.start();

	Application app(argc, argv);
	return app.run();
}
