# Required setup

- Visual Studio 2017
- CMake (>=3.5)
- Qt 5.12.3

Set environment variable `QTDIR` to the Qt installation folder

# Build

```
mkdir build
cd build
cmake -G "NMake Makefiles" ..
nmake
```

From the Qt installation directory copy `Qt5Cored.dll`, `Qt5Guid.dll`, `Qt5Widgetsd.dll` next to the executable.

# Run

Run the `test.exe` multiple times.

# Results

Some of the executions would give a proper blank window.
But somtimes the application will fail with following messages:

```
---------------------------
Microsoft Visual C++ Runtime Library
---------------------------
Debug Error!

Program: C:\Work\projects\qt-bug\build\Qt5Cored.dll
Module: 5.12.3
File: kernel\qguiapplication.cpp
Line: 1211

This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.


(Press Retry to debug the application)

---------------------------
Abort   Retry   Ignore   
---------------------------
```

```
---------------------------
Microsoft Visual C++ Runtime Library
---------------------------
Debug Error!

Program: C:\Work\projects\qt-bug\build\Qt5Cored.dll
Module: 5.12.3
File: tools\qarraydata.cpp
Line: 142

ASSERT: "!data->ref.isShared()" in file tools\qarraydata.cpp, line 142

(Press Retry to debug the application)

---------------------------
Abort   Retry   Ignore   
---------------------------
```

```
---------------------------
Microsoft Visual C++ Runtime Library
---------------------------
Debug Error!

Program: C:\Work\projects\qt-bug\build\temp.exe

HEAP CORRUPTION DETECTED: after Normal block (#491) at 0x00000138F5DB31F0.
CRT detected that the application wrote to memory after end of heap buffer.


(Press Retry to debug the application)

---------------------------
Abort   Retry   Ignore   
---------------------------
```
